Subject: Re: Bug#401439: parisc: xfs module loading bug

From: dann frazier <[email-masked]>
Date: Tue, 6 Jan 2009 15:54:36 -0700

On Tue, Jan 06, 2009 at 09:26:33AM -0700, dann frazier wrote:
> On Tue, Jan 06, 2009 at 10:08:39AM +0100, Helge Deller wrote:
> > Patches which solves the xfs loading bug on parisc has been accepted upstream.
> > Mainstream Kernel 2.6.29 will contain the fix.
> > 
> > Description of the problem:
> > http://marc.info/?l=linux-kernel&m=123055968113465&w=2
> > 
> > Needed patches which were accepted upstream:
> > a) module: fix module loading failure of large kernel modules for parisc
> > http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=088af9a6e05d51e7c3dc85d45d8b7a52c3ee08d7;hp=d1e99d7ae4e6bbd1ebb5e81ecd3af2b8793efee0
> > b) parisc: fix module loading failure of large kernel modules
> > http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=c298be74492bece102f3379d14015638f1fd1fac;hp=088af9a6e05d51e7c3dc85d45d8b7a52c3ee08d7

Unfortunately, b) is an (hppa-specific) ABI breaker. I'm guessing its
the changes to struct mod_arch_specific, but I haven't proven that
yet.

We could try ignoring the change - but I'm not sure how dangerous that
would be. Is this structure known to modules, or is it just used in
the core? That is, if you tried to load modules built w/ this patch
into a kernel that didn't have this patch, would that be safe?

> > Maybe it would make sense to backport those fixes in the debian kernel for lenny.
> 
> Yeah, I was just waiting for these to go upstream. Now that they are,
> it shouldn't be a problem.
> 
> > Debian bug reports which refer to this issue:
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=401439
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350482
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=401439
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508489
> 
> Appreciated, thanks!
> 

-- 
dann frazier